VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL Led(5:0)
        SIGNAL Clk
        SIGNAL Btn_Up
        SIGNAL Btn_Down
        SIGNAL Btn_Reset
        PORT Output Led(5:0)
        PORT Input Clk
        PORT Input Btn_Up
        PORT Input Btn_Down
        PORT Input Btn_Reset
        BEGIN BLOCKDEF Speed_cntl1
            TIMESTAMP 2007 10 8 8 48 9
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF Toggle_Button3
            TIMESTAMP 2007 10 8 8 48 46
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 Speed_cntl1
            PIN Clk Clk
            PIN Btn_Up XLXN_1
            PIN Btn_Down XLXN_2
            PIN Btn_Reset XLXN_3
            PIN Q(5:0) Led(5:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 Toggle_Button3
            PIN Clk Clk
            PIN Button Btn_Up
            PIN Toggle
            PIN Deboun
            PIN Pulse XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_4 Toggle_Button3
            PIN Clk Clk
            PIN Button Btn_Down
            PIN Toggle
            PIN Deboun
            PIN Pulse XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_5 Toggle_Button3
            PIN Clk Clk
            PIN Button Btn_Reset
            PIN Toggle
            PIN Deboun
            PIN Pulse XLXN_3
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_3 320 672 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_4 320 992 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_5 320 1296 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2
            WIRE 704 960 752 960
            WIRE 752 640 752 960
            WIRE 752 640 784 640
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 704 1264 768 1264
            WIRE 768 704 768 1264
            WIRE 768 704 784 704
        END BRANCH
        BEGIN BRANCH Led(5:0)
            WIRE 1168 512 1216 512
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 160 512 256 512
            WIRE 256 512 320 512
            WIRE 256 512 256 832
            WIRE 256 832 320 832
            WIRE 256 832 256 1136
            WIRE 256 1136 320 1136
            WIRE 256 384 768 384
            WIRE 768 384 768 512
            WIRE 768 512 784 512
            WIRE 256 384 256 512
        END BRANCH
        BEGIN BRANCH Btn_Up
            WIRE 208 640 320 640
        END BRANCH
        BEGIN BRANCH Btn_Down
            WIRE 240 960 320 960
        END BRANCH
        BEGIN BRANCH Btn_Reset
            WIRE 256 1264 320 1264
        END BRANCH
        IOMARKER 160 512 Clk R180 28
        IOMARKER 256 1264 Btn_Reset R180 28
        IOMARKER 240 960 Btn_Down R180 28
        IOMARKER 208 640 Btn_Up R180 28
        BEGIN INSTANCE XLXI_1 784 736 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1
            WIRE 704 640 720 640
            WIRE 720 576 784 576
            WIRE 720 576 720 640
        END BRANCH
        IOMARKER 1216 512 Led(5:0) R0 28
    END SHEET
END SCHEMATIC
