--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.2.02i
--  \   \         Application : sch2vhdl
--  /   /         Filename : Test_Speed_Cntx.vhf
-- /___/   /\     Timestamp : 10/10/2007 16:50:04
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx92i\bin\nt\sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w D:/BASYS_PROJECTS/Speed_Control/Test_Speed_Cntx.sch Test_Speed_Cntx.vhf
--Design Name: Test_Speed_Cntx
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity Test_Speed_Cntx is
   port ( Btn_Down  : in    std_logic; 
          Btn_Reset : in    std_logic; 
          Btn_Up    : in    std_logic; 
          Clk       : in    std_logic; 
          Sel       : in    std_logic_vector (1 downto 0); 
          Led       : out   std_logic_vector (5 downto 0));
end Test_Speed_Cntx;

architecture BEHAVIORAL of Test_Speed_Cntx is
   signal XLXN_1    : std_logic_vector (5 downto 0);
   signal XLXN_2    : std_logic_vector (5 downto 0);
   signal XLXN_3    : std_logic_vector (5 downto 0);
   signal XLXN_4    : std_logic_vector (5 downto 0);
   component Speed_cnt3
      port ( Clk       : in    std_logic; 
             Btn_Up    : in    std_logic; 
             Btn_Down  : in    std_logic; 
             Btn_Reset : in    std_logic; 
             Led       : out   std_logic_vector (5 downto 0));
   end component;
   
   component Speed_Cnt3b
      port ( Clk       : in    std_logic; 
             Btn_Up    : in    std_logic; 
             Btn_Down  : in    std_logic; 
             Btn_Reset : in    std_logic; 
             Led       : out   std_logic_vector (5 downto 0));
   end component;
   
   component Mux4x6
      port ( D0  : in    std_logic_vector (5 downto 0); 
             D1  : in    std_logic_vector (5 downto 0); 
             D2  : in    std_logic_vector (5 downto 0); 
             D3  : in    std_logic_vector (5 downto 0); 
             Sel : in    std_logic_vector (1 downto 0); 
             Y   : out   std_logic_vector (5 downto 0));
   end component;
   
   component Diagram2
      port ( Clk       : in    std_logic; 
             Btn_Up    : in    std_logic; 
             Btn_Down  : in    std_logic; 
             Btn_Reset : in    std_logic; 
             Led       : out   std_logic_vector (5 downto 0));
   end component;
   
   component Speed_Cnt2
      port ( Clk       : in    std_logic; 
             Btn_Up    : in    std_logic; 
             Btn_Down  : in    std_logic; 
             Btn_Reset : in    std_logic; 
             Led       : out   std_logic_vector (5 downto 0));
   end component;
   
begin
   XLXI_5 : Speed_cnt3
      port map (Btn_Down=>Btn_Down,
                Btn_Reset=>Btn_Reset,
                Btn_Up=>Btn_Up,
                Clk=>Clk,
                Led(5 downto 0)=>XLXN_3(5 downto 0));
   
   XLXI_6 : Speed_Cnt3b
      port map (Btn_Down=>Btn_Down,
                Btn_Reset=>Btn_Reset,
                Btn_Up=>Btn_Up,
                Clk=>Clk,
                Led(5 downto 0)=>XLXN_4(5 downto 0));
   
   XLXI_7 : Mux4x6
      port map (D0(5 downto 0)=>XLXN_1(5 downto 0),
                D1(5 downto 0)=>XLXN_2(5 downto 0),
                D2(5 downto 0)=>XLXN_3(5 downto 0),
                D3(5 downto 0)=>XLXN_4(5 downto 0),
                Sel(1 downto 0)=>Sel(1 downto 0),
                Y(5 downto 0)=>Led(5 downto 0));
   
   XLXI_10 : Diagram2
      port map (Btn_Down=>Btn_Down,
                Btn_Reset=>Btn_Reset,
                Btn_Up=>Btn_Up,
                Clk=>Clk,
                Led(5 downto 0)=>XLXN_1(5 downto 0));
   
   XLXI_11 : Speed_Cnt2
      port map (Btn_Down=>Btn_Down,
                Btn_Reset=>Btn_Reset,
                Btn_Up=>Btn_Up,
                Clk=>Clk,
                Led(5 downto 0)=>XLXN_2(5 downto 0));
   
end BEHAVIORAL;


